Subject: bug#74695: closed (RE: qt-build-system: wrap build variables to allow %outputs args)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Apr 2025 14:26:03 +0000

Your bug report

#74695: [PATCH 0/1] qt-build-system: Wrap with build variables to allow %outputs in arguments

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74695: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74695
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: RE: qt-build-system: wrap build variables to allow %outputs args
From: Steve George <[email-masked]>
To: [email-masked]
Date: Tue, 8 Apr 2025 15:24:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

As discussed at https://lists.gnu.org/archive/html/guix-devel/2024-12/msg00124.html

The eventual goal is to use Gexp's for everything, everywhere! So closing, please re-open if you think it's a mistake.

Futurile / Steve

Subject: [PATCH 0/1] qt-build-system: Wrap with build variables to allow %outputs in arguments
From: Rutherther <[email-masked]>
To: [email-masked]
Cc: Rutherther <[email-masked]>
Date: Wed, 4 Dec 2024 20:13:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

It is impossible to refer to %outputs in arguments like #:configure-flags
(ie. `(assoc-ref %outputs "out")` leads to unbound-variable %outputs).
I think the issue is in qt using different system than build systems such
as cmake or gnu. Since I am unsure about the reason for qt not having
the same structure, I am submitting this to guix devel for discussion,
as well as opening a patch in case this is fine to be merged. If not,
could someone please explain what the reason behind not adding
inputs and outputs is, and what is the alternative?

Regards,
Rutherther

Rutherther (1):
  guix: qt: add inputs and outputs build variables in qt-build

 guix/build-system/qt.scm | 54 +++++++++++++++++++++-------------------
 1 file changed, 28 insertions(+), 26 deletions(-)

base-commit: 006679d1e6ca7acea0629b4f019c8cf89cde08be
--
2.46.0